﻿using GrapeCity.ActiveReports;
using GrapeCity.ActiveReports.Web;
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.OleDb;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace SampleWebViewer
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
			var assembly = Assembly.GetExecutingAssembly();
			PageReport report;

			using (var reportFile = assembly.GetManifestResourceStream("SampleWebViewer.Reports.PageReport.rdlx"))
			{
				StreamReader reader = new StreamReader(reportFile);
				report = new PageReport(reader);
			}
            
            report.Document.Parameters["Version"].CurrentValue = "V123";
			report.Document.Parameters["StoreNames"].CurrentValue = "Store 1, Store 2";
			report.Document.Parameters["DateRange"].CurrentValue = "Store 1, Store 2";
			report.Document.Parameters["incGST"].CurrentValue = "false";
			report.Document.Parameters["selectedReportType"].CurrentValue = "Store 1, Store 2";
			report.Document.Parameters["FilterDesc"].CurrentValue = "";
			report.Document.Parameters["TotalCustomerCount"].CurrentValue = "3";
			report.Document.Parameters["TimeZoneOffset"].CurrentValue = "9.5";
			report.Document.Parameters["CurrencySymbol"].CurrentValue = "$";

			//Load data and other stuff
			report.Document.LocateDataSource += LocateDataSourceRuntime;

            WebViewer1.ViewerType = ViewerType.HtmlViewer;
            WebViewer1.Report = report;
        }

        private void LocateDataSourceRuntime(object sender, LocateDataSourceEventArgs args)
        {
            args.Data = new DataTable();
        }

        private DataSet GetDataSet()
        {
            DataSet ds = new DataSet();
            DataTable dt = new DataTable();

            OleDbConnection con = null;
            con = new OleDbConnection(@"Provider=Microsoft.ACE.OLEDB.12.0;Data Source=" + Server.MapPath("~/Data/NWind.mdb"));
            con.Open();
            OleDbDataAdapter da = new OleDbDataAdapter(new OleDbCommand("Select * from Customers", con));
            da.Fill(dt);
            ds.Tables.Add(dt);

            return ds;
        }
    }
}